<?php
use WorkHorse\View;
?>

<?php View::startSection('breadcrumbs') ?>
	<a href="<?= admin_url('admin.php?page=workhorse') ?>">Work Horse</a>
	&raquo;
	<span>Projects List</span>
<?php View::endSection('breadcrumbs') ?>
<div class="show_loading"
	style="position: fixed; z-index: 99; left: 40%; width: 20%; top: 30%; background: #fff; border: 2px solid #999; padding: 20px; display: none; text-align: center !important;">
	<h1></h1>
	<h2 id="mid_notice"></h2>
</div>

<?php View::startSection('content') ?>
	<h2>
		Projects List
		<a href="<?= admin_url('admin.php?page=workhorse') ?>" class="add-new-h2">Add New</a>
	</h2>

	<span class="pagination-links">
		<?= paginate_links(array(
			'total' => $pages,
			'current' => $page,
			'format' => '&paged=%#%',
			'base' => admin_url('admin.php?page=workhorse_projects%_%')
		)) ?>
	</span>

	<form method="get">
		<table class="wp-list-table widefat fixed striped">
		<thead>
		<tr>
			<td style="width: 80px"></td>
			<th>Name</th>
			<th>Created Posts</th>
			<th>Max Posts</th>
			<th>Created At</th>
			<th>Last Update</th>
			<th>Status</th>
		</tr>
		</thead>
		<tbody>
			<?php foreach ($projects as $project): ?>
			<tr<?= $highlight == $project->id ? ' class="WHProject--highlight"' : '' ?>>
				<td>
					<?php if ($project->state == 'Published' && $project->iteration < $project->max_iterations): ?>
					<a href="javascript:build_project(<?= $project->id ?>)" class="button button-primary" target="_blank">Build posts</a>
					<?php endif; ?>
					<?php if ($project->state == 'Draft'): ?>
					<a href="<?= admin_url('admin.php?page=workhorse&action=edit_post&id='. $project->id) ?>" class="button">Continue</a>
					<?php endif; ?>
				</td>
				<td class="column-title has-row-actions">
					<strong>
						<a class="row-title"><?= $project->name ?></a>
					</strong>
					<div class="row-actions">
						<span class="edit">
							<a href="<?= admin_url("admin.php?page=workhorse_projects&action=export_urls&id={$project->id}&noheader=true") ?>">
								Export a list of all posts/pages URLs
							</a>
						</span>

						<br>

						<span class="edit">
							<a href="<?= admin_url('admin.php?page=workhorse_projects&action=duplicate&id='. $project->id .'&noheader=true') ?>">
								Duplicate project
							</a>
						</span>
						|
						<span class="edit">
							<a href="<?= admin_url('admin.php?page=workhorse_projects&action=stop&id='. $project->id .'&noheader=true') ?>">
								Stop process
							</a>
						</span>
						|
						<span class="trash">
							<a class="submitdelete" href="<?= admin_url('admin.php?page=workhorse_projects&action=delete&id='. $project->id .'&noheader=true') ?>" onclick="return confirm('This action will delete project and all generated posts/pages')">Delete project and all posts/pages</a>
						</span>
						|
						<span class="trash">
							<a class="submitdelete" href="<?= admin_url('admin.php?page=workhorse_projects&action=delete_posts&id='. $project->id .'&noheader=true') ?>" onclick="return confirm('This action will delete all generated posts/pages')">Delete only posts/pages</a>
						</span>
					</div>
				</td>
				<td><?= $project->iteration ?></td>
				<td><?= $project->max_iterations ?></td>
				<td>
					<?php
						$date = new DateTime($project->created_at);

						echo $date->format('d/m/Y H:i:s');
					?>
				</td>
				<td>
					<?php
						$date = new DateTime($project->updated_at);

						echo $date->format('d/m/Y H:i:s');
					?>
				</td>
				<td>
					<strong>
						<?php
							if ($project->state == 'Draft') echo 'Draft';
							else {
								if ($project->iteration >= $project->max_iterations) echo 'Finished';
								else {
									$updated = strtotime($project->updated_at);
									if ($project->deleted_at == '1970-01-01 11:11:11') echo 'Stopped';
									elseif (time() - $updated > 1200) echo 'Paused';
									else echo 'Processing';
								}
							}
						?>
					</strong>
				</td>
			</tr>
			<?php endforeach; ?>
		</tbody>
		</table>
	</form>
	<script type="text/javascript">
	function build_project(id){
		jQuery('.show_loading').css("display", "block");
		jQuery(".show_loading h1")
		.html("Building project.... in progress");
		start_build(id);
	}
	var numm;
	function start_build(ids){
		jQuery
		.ajax({
			url : ajaxurl,
			data : ({
				action : 'workdex_builder_ajax',
				page : 100,
				ajax : 1,
				id: ids
			}),
			success : function(data) {
				jQuery(".show_loading h1")
						.html("Building project.... in progress");
				jQuery(".show_loading h2")
				.html("Posts generated by now "+data);
				if(numm==data){
					jQuery('.show_loading').css("display", "none");
				}else{
					numm = data;
					setTimeout("start_build("+ids+")", 500);
				}
			}
		});
	}
	</script>
	<span class="pagination-links"> 
		<?= paginate_links(array(
			'total' => $pages,
			'current' => $page,
			'format' => '&paged=%#%',
			'base' => admin_url('admin.php?page=workhorse_projects%_%')
		)) ?>
	</span>
<?php View::endSection('content') ?>

<?php View::make('layouts.main') ?>
